Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# auto_ptr< X > Class Template Reference

Implements the draft C++ standard auto_ptr abstraction. More...

`#include <Auto_Ptr.h>`

Inheritance diagram for auto_ptr< X >:

[legend]
Collaboration diagram for auto_ptr< X >:

[legend]
List of all members.

## Public Methods
ACE_EXPLICIT | auto_ptr (X *p=0)
X * | operator-> () const

## Detailed Description

### template<class X>
class auto_ptr< X >

Implements the draft C++ standard auto_ptr abstraction.

## Constructor & Destructor Documentation

template<class X>
ACE_EXPLICIT auto_ptr< X >::auto_ptr | ( | X * | p = 0 | ) | `[inline]`

## Member Function Documentation

template<class X>
ACE_INLINE X * auto_ptr< X >::operator-> | ( |  | ) |

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Auto_Ptr.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Auto_Ptr.i